### Method

# GUPnPAV MediaCollection get_string

#### Declaration [src]

    char*
    gupnp_media_collection_get_string (
      GUPnPMediaCollection* collection
    )

#### Description

No description available.

#### Return value

Type: `char*`

XML string representing this media collection. `g_free()` after use. If the colleciton is not mutable, returns a copy of the original string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.